Index: /trunk/DOC/chantiers/commit_importants.log
===================================================================
--- /trunk/DOC/chantiers/commit_importants.log	(revision 1572)
+++ /trunk/DOC/chantiers/commit_importants.log	(revision 1573)
@@ -1833,2 +1833,13 @@
 - physiq_mod , write_hist*.h : use is_north_pole_phy and is_south_pole_phy
   to correctly compute mesh area at poles to send to hist*nc files.
+
+
+**********************
+**** commit_v1573 ****
+**********************
+Cleanup concerning iniphysiq/inigeomphy initializations: initializations
+related to routines in phy_common or dynphy_lonlat can be done in 
+inigeomphy, but any initialization for modules/routines in a physics
+package (directory phy***) must be done in the related phy***/iniphysiq
+routine.
+
Index: /trunk/LMDZ.COMMON/libf/dynphy_lonlat/inigeomphy_mod.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 1572)
+++ /trunk/LMDZ.COMMON/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 1573)
@@ -6,5 +6,4 @@
                      nbp, communicator, &
                      rlatu,rlatv,rlonu,rlonv,aire,cu,cv)
-  USE dimphy, ONLY: init_dimphy
   USE mod_grid_phy_lmdz, ONLY: klon_glo,  & ! number of atmospheric columns (on full grid)
                                regular_lonlat, &  ! regular longitude-latitude grid type
@@ -15,10 +14,4 @@
                                 klon_mpi_begin ! start indes of columns (on local mpi grid)
   USE geometry_mod, ONLY : init_geometry
-!  USE comgeomphy, ONLY: initcomgeomphy, &
-!                        airephy, & ! physics grid area (m2)
-!                        cuphy, & ! cu coeff. (u_covariant = cu * u)
-!                        cvphy, & ! cv coeff. (v_covariant = cv * v)
-!                        rlond, & ! longitudes
-!                        rlatd ! latitudes
   USE physics_distribution_mod, ONLY : init_physics_distribution
   USE regular_lonlat_mod, ONLY : init_regular_lonlat, &
@@ -220,8 +213,4 @@
                      airefi,cufi,cvfi)
 
-
-  ! Initialize dimphy module
-  CALL init_dimphy(klon_omp,nlayer)
-
 !$OMP END PARALLEL
 
Index: /trunk/LMDZ.COMMON/libf/dynphy_lonlat/phytitan/iniphysiq_mod.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynphy_lonlat/phytitan/iniphysiq_mod.F90	(revision 1572)
+++ /trunk/LMDZ.COMMON/libf/dynphy_lonlat/phytitan/iniphysiq_mod.F90	(revision 1573)
@@ -17,4 +17,6 @@
   USE inigeomphy_mod, ONLY: inigeomphy
   USE control_mod, ONLY: nday
+  USE dimphy, ONLY: init_dimphy
+  USE mod_phys_lmdz_para, ONLY: klon_omp ! number of columns (on local omp grid)
   IMPLICIT NONE
 
@@ -54,4 +56,5 @@
   !------------------------------------------
   ! --> initialize physics distribution, global fields and geometry
+  ! (i.e. things in phy_common or dynphy_lonlat)
   CALL inigeomphy(ii,jj,nlayer, &
                nbp, communicator, &
@@ -60,8 +63,11 @@
                airedyn,cudyn,cvdyn)
 
-  ! the distinct part for all planetary physics
+  ! the distinct part for all planetary physics  (ie. things in phytitan)
   !------------------------------------------
 
 !$OMP PARALLEL
+
+  ! Initialize dimphy module
+  call init_dimphy(klon_omp,nlayer)
 
   ! Initialize some physical constants
Index: /trunk/LMDZ.COMMON/libf/dynphy_lonlat/phyvenus/iniphysiq_mod.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynphy_lonlat/phyvenus/iniphysiq_mod.F90	(revision 1572)
+++ /trunk/LMDZ.COMMON/libf/dynphy_lonlat/phyvenus/iniphysiq_mod.F90	(revision 1573)
@@ -16,4 +16,6 @@
   USE time_phylmdz_mod, ONLY: init_time
   USE inigeomphy_mod, ONLY: inigeomphy
+  USE dimphy, ONLY: init_dimphy
+  USE mod_phys_lmdz_para, ONLY: klon_omp ! number of columns (on local omp grid)
   IMPLICIT NONE
 
@@ -53,4 +55,5 @@
   !------------------------------------------
   ! --> initialize physics distribution, global fields and geometry
+  ! (i.e. things in phy_common or dynphy_lonlat)
   CALL inigeomphy(ii,jj,nlayer, &
                nbp, communicator, &
@@ -59,8 +62,11 @@
                airedyn,cudyn,cvdyn)
 
-  ! the distinct part for all planetary physics
+  ! the distinct part for all planetary physics (ie. things in phyvenus)
   !------------------------------------------
 
 !$OMP PARALLEL
+
+  ! Initialize dimphy module
+  call init_dimphy(klon_omp,nlayer)
 
   ! Initialize some physical constants
Index: /trunk/LMDZ.GENERIC/README
===================================================================
--- /trunk/LMDZ.GENERIC/README	(revision 1572)
+++ /trunk/LMDZ.GENERIC/README	(revision 1573)
@@ -1232,2 +1232,8 @@
   iniphysiq
 
+== 12/07/2016 == EM
+- move initialization of dimphy from inigeomphy to iniphysiq (initializations
+related to routines in phy_common or dynphy_lonlat can be done in 
+inigeomphy, but any initialization for modules/routines in a physics
+package (directory phystd) must be done in the related phystd/iniphysiq
+routine.
Index: /trunk/LMDZ.GENERIC/libf/dynphy_lonlat/inigeomphy_mod.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 1572)
+++ /trunk/LMDZ.GENERIC/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 1573)
@@ -6,5 +6,4 @@
                      nbp, communicator, &
                      rlatu,rlatv,rlonu,rlonv,aire,cu,cv)
-  USE dimphy, ONLY: init_dimphy
   USE mod_grid_phy_lmdz, ONLY: klon_glo,  & ! number of atmospheric columns (on full grid)
                                regular_lonlat, &  ! regular longitude-latitude grid type
@@ -15,10 +14,4 @@
                                 klon_mpi_begin ! start indes of columns (on local mpi grid)
   USE geometry_mod, ONLY : init_geometry
-!  USE comgeomphy, ONLY: initcomgeomphy, &
-!                        airephy, & ! physics grid area (m2)
-!                        cuphy, & ! cu coeff. (u_covariant = cu * u)
-!                        cvphy, & ! cv coeff. (v_covariant = cv * v)
-!                        rlond, & ! longitudes
-!                        rlatd ! latitudes
   USE physics_distribution_mod, ONLY : init_physics_distribution
   USE regular_lonlat_mod, ONLY : init_regular_lonlat, &
@@ -220,8 +213,4 @@
                      airefi,cufi,cvfi)
 
-
-  ! Initialize dimphy module
-  CALL init_dimphy(klon_omp,nlayer)
-
 !$OMP END PARALLEL
 
Index: /trunk/LMDZ.GENERIC/libf/dynphy_lonlat/phystd/iniphysiq_mod.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/dynphy_lonlat/phystd/iniphysiq_mod.F90	(revision 1572)
+++ /trunk/LMDZ.GENERIC/libf/dynphy_lonlat/phystd/iniphysiq_mod.F90	(revision 1573)
@@ -24,4 +24,5 @@
 ! necessary to get klon_omp
 USE mod_phys_lmdz_para, ONLY: klon_omp ! number of columns (on local omp grid)
+USE dimphy, ONLY: init_dimphy
 
 implicit none
@@ -57,4 +58,5 @@
   !------------------------------------------
   ! --> initialize physics distribution, global fields and geometry
+  ! (i.e. things in phy_common or dynphy_lonlat)
   CALL inigeomphy(ii,jj,nlayer, &
                nbp, communicator, &
@@ -63,5 +65,5 @@
                airedyn,cudyn,cvdyn)
 
-  ! the distinct part for all planetary physics
+  ! the distinct part for all planetary physics (ie. things in phystd)
   !------------------------------------------
 
@@ -70,4 +72,7 @@
 ! copy some fundamental parameters to physics
 ! and do some initializations
+
+! Initialize dimphy module
+call init_dimphy(klon_omp,nlayer)
 
 ! copy over preff , ap() and bp() 
Index: /trunk/LMDZ.MARS/README
===================================================================
--- /trunk/LMDZ.MARS/README	(revision 1572)
+++ /trunk/LMDZ.MARS/README	(revision 1573)
@@ -2306,2 +2306,8 @@
 - missing libf/dynphy_lonlat/phymars/inigeomphy_mod.F90 in previous commit
 
+== 12/07/2016 == EM
+- move initialization of dimphy from inigeomphy to iniphysiq (initializations
+related to routines in phy_common or dynphy_lonlat can be done in 
+inigeomphy, but any initialization for modules/routines in a physics
+package (directory phymars) must be done in the related phymars/iniphysiq
+routine.
Index: /trunk/LMDZ.MARS/libf/dynphy_lonlat/inigeomphy_mod.F90
===================================================================
--- /trunk/LMDZ.MARS/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 1572)
+++ /trunk/LMDZ.MARS/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 1573)
@@ -6,5 +6,4 @@
                      nbp, communicator, &
                      rlatu,rlatv,rlonu,rlonv,aire,cu,cv)
-  USE dimphy, ONLY: init_dimphy
   USE mod_grid_phy_lmdz, ONLY: klon_glo,  & ! number of atmospheric columns (on full grid)
                                regular_lonlat, &  ! regular longitude-latitude grid type
@@ -15,10 +14,4 @@
                                 klon_mpi_begin ! start indes of columns (on local mpi grid)
   USE geometry_mod, ONLY : init_geometry
-!  USE comgeomphy, ONLY: initcomgeomphy, &
-!                        airephy, & ! physics grid area (m2)
-!                        cuphy, & ! cu coeff. (u_covariant = cu * u)
-!                        cvphy, & ! cv coeff. (v_covariant = cv * v)
-!                        rlond, & ! longitudes
-!                        rlatd ! latitudes
   USE physics_distribution_mod, ONLY : init_physics_distribution
   USE regular_lonlat_mod, ONLY : init_regular_lonlat, &
@@ -220,8 +213,4 @@
                      airefi,cufi,cvfi)
 
-
-  ! Initialize dimphy module
-  CALL init_dimphy(klon_omp,nlayer)
-
 !$OMP END PARALLEL
 
Index: /trunk/LMDZ.MARS/libf/dynphy_lonlat/phymars/iniphysiq_mod.F90
===================================================================
--- /trunk/LMDZ.MARS/libf/dynphy_lonlat/phymars/iniphysiq_mod.F90	(revision 1572)
+++ /trunk/LMDZ.MARS/libf/dynphy_lonlat/phymars/iniphysiq_mod.F90	(revision 1573)
@@ -20,4 +20,5 @@
 ! necessary to get klon_omp
 USE mod_phys_lmdz_para, ONLY: klon_omp ! number of columns (on local omp grid)
+USE dimphy, ONLY: init_dimphy
 
 implicit none
@@ -49,4 +50,5 @@
   !------------------------------------------
   ! --> initialize physics distribution, global fields and geometry
+  ! (i.e. things in phy_common or dynphy_lonlat)
   CALL inigeomphy(ii,jj,nlayer, &
                nbp, communicator, &
@@ -55,5 +57,5 @@
                airedyn,cudyn,cvdyn)
 
-  ! the distinct part for all planetary physics
+  ! the distinct part for all planetary physics (ie. things in phymars)
   !------------------------------------------
 
@@ -62,4 +64,7 @@
 ! copy some fundamental parameters to physics 
 ! and do some initializations 
+
+! Initialize dimphy module
+call init_dimphy(klon_omp,nlayer)
 
 call phys_state_var_init(klon_omp,nlayer,nqtot, &