Index: trunk/LMDZ.GENERIC/README
===================================================================
--- trunk/LMDZ.GENERIC/README	(revision 1573)
+++ trunk/LMDZ.GENERIC/README	(revision 1576)
@@ -1238,2 +1238,7 @@
 package (directory phystd) must be done in the related phystd/iniphysiq
 routine.
+
+== 27/07/2016 == EM
+- further cleanup in the dynamics/physics interface: stop sending information
+  about tracer advection (tracerdyn) back from physics to dynamics as this
+  input parameter can be read and set in the dynamics.
Index: trunk/LMDZ.GENERIC/libf/dyn3d/gcm.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/dyn3d/gcm.F	(revision 1573)
+++ trunk/LMDZ.GENERIC/libf/dyn3d/gcm.F	(revision 1576)
@@ -1,4 +1,5 @@
       PROGRAM gcm
 
+      use ioipsl_getincom, only: getin
       use infotrac, only: iniadvtrac, nqtot, iadv
       use sponge_mod,only: callsponge,mode_sponge,sponge
@@ -129,8 +130,7 @@
       character*80 abort_message
 
-      LOGICAL tracer
-	  data tracer/.true./
-!      INTEGER nq
-
+! flag to run with or without tracer transport (read from run.def)
+      logical tracer
+      
 C Calendrier
       LOGICAL true_calendar
@@ -177,4 +177,9 @@
 c-----------------------------------------------------------------------
       CALL defrun_new( 99, .TRUE. )
+      WRITE(*,*) ""
+      WRITE(*,*) "Run with or without tracer transport ?"
+      tracer=.true. ! default value
+      call getin("tracer",tracer)
+      WRITE(*,*)" tracer = ",tracer
 
 ! Initialize tracers
@@ -479,5 +484,5 @@
         CALL calfis( nqtot, lafin ,rdayvrai,rday_ecri,time  ,
      $                 ucov,vcov,teta,q,masse,ps,p,pk,phis,phi ,
-     $     du,dv,dteta,dq,w, dufi,dvfi,dhfi,dqfi,dpfi,tracer)
+     $     du,dv,dteta,dq,w, dufi,dvfi,dhfi,dqfi,dpfi)
 
 
Index: trunk/LMDZ.GENERIC/libf/dynphy_lonlat/calfis.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/dynphy_lonlat/calfis.F	(revision 1573)
+++ trunk/LMDZ.GENERIC/libf/dynphy_lonlat/calfis.F	(revision 1576)
@@ -2,5 +2,5 @@
      $            pucov,pvcov,pteta,pq,pmasse,pps,pp,ppk,pphis,pphi,
      $            pducov,pdvcov,pdteta,pdq,pw,
-     $            pdufi,pdvfi,pdhfi,pdqfi,pdpsfi,tracer )
+     $            pdufi,pdvfi,pdhfi,pdqfi,pdpsfi )
 c
 c    Auteur :  P. Le Van, F. Hourdin 
@@ -56,6 +56,4 @@
 c        pdtsfi         tendency for the surface temperature
 c
-c        tracer         Call tracer in  gcm.F ? (decided in callphys.def)
-c
 c=======================================================================
 c
@@ -106,5 +104,4 @@
       REAL pdqfi(iip1,jjp1,llm,nqtot)
       REAL pdpsfi(iip1,jjp1)
-      logical tracer
 
 c    Local variables :
@@ -441,5 +438,5 @@
      ,     flxwfi,
 C - sorties
-     s     zdufi, zdvfi, zdtfi, zdqfi,zdpsrf,tracer)
+     s     zdufi, zdvfi, zdtfi, zdqfi,zdpsrf)
 
 
Index: trunk/LMDZ.GENERIC/libf/dynphy_lonlat/phystd/callphysiq_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/dynphy_lonlat/phystd/callphysiq_mod.F90	(revision 1573)
+++ trunk/LMDZ.GENERIC/libf/dynphy_lonlat/phystd/callphysiq_mod.F90	(revision 1576)
@@ -16,6 +16,5 @@
                        zufi_omp,zvfi_omp,zrfi_omp,ztfi_omp,zqfi_omp,      &
                        flxwfi_omp,pducov,                                 &
-                       zdufi_omp,zdvfi_omp,zdtfi_omp,zdqfi_omp,zdpsrf_omp,&
-                       tracerdyn)
+                       zdufi_omp,zdvfi_omp,zdtfi_omp,zdqfi_omp,zdpsrf_omp)
 
   USE control_mod, ONLY: planet_type
@@ -52,5 +51,4 @@
   REAL,INTENT(OUT) :: zdqfi_omp(klon,llm,nqtot) ! tendency on tracers
   REAL,INTENT(OUT) :: zdpsrf_omp(klon) ! tendency on surface pressure
-  LOGICAL,INTENT(OUT) :: tracerdyn
 
   ! Local variables
@@ -90,6 +88,5 @@
               zdtfi_omp,      & ! pdt
               zdqfi_omp,      & ! pdq
-              zdpsrf_omp,     & ! pdpsrf
-              tracerdyn)        ! tracerdyn (somewhat obsolete)
+              zdpsrf_omp)       ! pdpsrf
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/rcm1d.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/rcm1d.F	(revision 1573)
+++ trunk/LMDZ.GENERIC/libf/phystd/dyn1d/rcm1d.F	(revision 1576)
@@ -108,5 +108,4 @@
       INTEGER ierr, aslun
       REAL tmp1(0:llm),tmp2(0:llm)
-      Logical  tracerdyn
       integer :: nq !=1 ! number of tracers
  
@@ -906,5 +905,5 @@
      ,     w,
 C - sorties
-     s     du, dv, dtemp, dq,dpsurf,tracerdyn)
+     s     du, dv, dtemp, dq,dpsurf)
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/physiq_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/physiq_mod.F90	(revision 1573)
+++ trunk/LMDZ.GENERIC/libf/phystd/physiq_mod.F90	(revision 1576)
@@ -12,5 +12,5 @@
                   pu,pv,pt,pq,             &
                   flxw,                    &
-                  pdu,pdv,pdt,pdq,pdpsrf,tracerdyn)
+                  pdu,pdv,pdt,pdq,pdpsrf)
  
       use radinc_h, only : L_NSPECTI,L_NSPECTV,naerkind
@@ -132,5 +132,4 @@
 !    pdq(ngrid,nlayer)        /
 !    pdpsrf(ngrid)             /
-!    tracerdyn                 call tracer in dynamical part of GCM ?
 !
 !
@@ -195,5 +194,4 @@
       real,intent(out) :: pdq(ngrid,nlayer,nq) ! Tracer tendencies (kg/kg_of_air/s).
       real,intent(out) :: pdpsrf(ngrid)        ! Surface pressure tendency (Pa/s).
-      logical,intent(out) :: tracerdyn         ! Signal to the dynamics to advect tracers or not.     
 
 ! Local saved variables:
@@ -517,5 +515,4 @@
 !        Initialize tracer names, indexes and properties.
 !        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-         tracerdyn=tracer
          IF (.NOT.ALLOCATED(noms)) ALLOCATE(noms(nq)) ! (because noms is an argument of physdem1 whether or not tracer is on)
          if (tracer) then