Index: trunk/LMDZ.GENERIC/README
===================================================================
--- trunk/LMDZ.GENERIC/README	(revision 1593)
+++ trunk/LMDZ.GENERIC/README	(revision 1594)
@@ -1253,2 +1253,6 @@
   "grireg" (unused) and "physic" (use iflag_phys instead) parameters from
   the dynamics.
+
+== 13/09/2016 == EM
+- Further cleanup to harmonize with LMDZ.COMMON turn "idissip" into
+  "dissip_period".
Index: trunk/LMDZ.GENERIC/libf/dyn3d/control_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/dyn3d/control_mod.F90	(revision 1593)
+++ trunk/LMDZ.GENERIC/libf/dyn3d/control_mod.F90	(revision 1594)
@@ -8,5 +8,5 @@
   integer,save :: iperiod  ! make a Matsuno step before avery iperiod-1 LF steps
   integer,save :: iconser !
-  integer,save :: idissip ! apply dissipation every idissip dynamical step
+  integer,save :: dissip_period ! apply dissipation every dissip_period dynamical step
   integer,save :: iphysiq ! call physics every iphysiq dynamical steps
   integer,save :: anneeref ! reference year # ! not used
Index: trunk/LMDZ.GENERIC/libf/dyn3d/defrun_new.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/dyn3d/defrun_new.F	(revision 1593)
+++ trunk/LMDZ.GENERIC/libf/dyn3d/defrun_new.F	(revision 1594)
@@ -40,5 +40,5 @@
       use sponge_mod,only: callsponge,nsponge,mode_sponge,tetasponge
       use control_mod,only: nday, day_step, iperiod, anneeref,
-     &                      iconser, idissip, iphysiq
+     &                      iconser, dissip_period, iphysiq
       USE logic_mod, ONLY: hybrid,purmats,fxyhypb,ysinus,iflag_phys
       USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
@@ -132,7 +132,9 @@
         WRITE(lunout,*) ""
         WRITE(lunout,*) "periode de la dissipation (en pas)"
-        idissip=5 ! default value
-        call getin("idissip",idissip)
-        WRITE(lunout,*)" idissip = ",idissip
+        dissip_period=5 ! default value
+        call getin("idissip",dissip_period)
+        ! if there is a "dissip_period" in run.def, it overrides "idissip"
+        call getin("dissip_period",dissip_period)
+        WRITE(lunout,*)" dissip_period = ",dissip_period
 
 ccc  ....   P. Le Van , modif le 29/04/97 .pour la dissipation  ...
Index: trunk/LMDZ.GENERIC/libf/dyn3d/gcm.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/dyn3d/gcm.F	(revision 1593)
+++ trunk/LMDZ.GENERIC/libf/dyn3d/gcm.F	(revision 1594)
@@ -5,5 +5,5 @@
       use sponge_mod,only: callsponge,mode_sponge,sponge
       use control_mod, only: nday, day_step, iperiod, iphysiq,
-     &                       iconser, idissip
+     &                       iconser, dissip_period
 !      use comgeomphy, only: initcomgeomphy
       USE mod_const_mpi, ONLY: COMM_LMDZ
@@ -366,10 +366,11 @@
       IF( purmats ) THEN
          IF( MOD(itau,iconser) .EQ.0.AND.  forward    ) conser = .TRUE.
-         IF( MOD(itau,idissip ).EQ.0.AND..NOT.forward ) apdiss = .TRUE.
+         IF( MOD(itau,dissip_period ).EQ.0
+     &                              .AND..NOT.forward ) apdiss = .TRUE.
          IF( MOD(itau,iphysiq ).EQ.0.AND..NOT.forward 
      $                        .AND. (iflag_phys.eq.1) ) apphys = .TRUE.
       ELSE
          IF( MOD(itau   ,iconser) .EQ. 0              ) conser = .TRUE.
-         IF( MOD(itau+1,idissip)  .EQ. 0              ) apdiss = .TRUE.
+         IF( MOD(itau+1,dissip_period)  .EQ. 0        ) apdiss = .TRUE.
          IF( MOD(itau+1,iphysiq).EQ.0
      &                     .AND. (iflag_phys.eq.1)    ) apphys = .TRUE.
Index: trunk/LMDZ.GENERIC/libf/dyn3d/iniconst.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/dyn3d/iniconst.F	(revision 1593)
+++ trunk/LMDZ.GENERIC/libf/dyn3d/iniconst.F	(revision 1594)
@@ -1,5 +1,5 @@
       SUBROUTINE iniconst
 
-      use control_mod, only: iphysiq, idissip
+      use control_mod, only: iphysiq, dissip_period
       USE comconst_mod, ONLY: im,jm,lllm,imp1,jmp1,lllmp1,lllmm1,
      .			dtdiss,dtvr,dtphys,pi,r,cpp,kappa,unsim
@@ -36,5 +36,5 @@
 c-----------------------------------------------------------------------
 
-      dtdiss  = idissip * dtvr
+      dtdiss  = dissip_period * dtvr
       dtphys  = iphysiq * dtvr
       unsim   = 1./iim
Index: trunk/LMDZ.GENERIC/libf/dyn3d/inidissip.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/dyn3d/inidissip.F	(revision 1593)
+++ trunk/LMDZ.GENERIC/libf/dyn3d/inidissip.F	(revision 1594)
@@ -8,5 +8,5 @@
 c   -------------
 
-      use control_mod, only: idissip, iperiod
+      use control_mod, only: dissip_period, iperiod
       USE comvert_mod, ONLY: aps,bps,pseudoalt,preff
       USE comconst_mod, ONLY: dtdiss,dtvr
@@ -262,16 +262,16 @@
       ENDDO
 
-c     Calcul automatique de idissip
+c     Calcul automatique de dissip_period
 c     -----------------------------
 c    :::::::::::::::::::::
 c     A Commenter pour garder la valeur de run.def :
-c     idissip = INT( tetamin/( 2.*dtvr*iperiod) ) * iperiod
-c     idissip = MAX(iperiod,idissip)
+c     dissip_period = INT( tetamin/( 2.*dtvr*iperiod) ) * iperiod
+c     dissip_period = MAX(iperiod,idissip)
 c    :::::::::::::::::::::
-      dtdiss  = idissip * dtvr
+      dtdiss  = dissip_period * dtvr
  
       PRINT *,' INIDI tetamin dtvr ',tetamin,dtvr,iperiod
-      PRINT *,' INIDI tetamin idissip ',tetamin,idissip
-      PRINT *,' INIDI idissip dtdiss ',idissip,dtdiss
+      PRINT *,' INIDI tetamin dissip_period ',tetamin,dissip_period
+      PRINT *,' INIDI dissip_period dtdiss ',dissip_period,dtdiss
 
       PRINT*,'pseudoZ(km)  zvert  dt(tetagdiv) dt(tetagrot) dt(divgrad)'
@@ -286,5 +286,6 @@
           PRINT *,'in run.def, you must increase tetagdiv,' 
           PRINT *,'(or tetagrot and tetatemp if they are smaller than'
-          PRINT *,'tetagdiv) OR decrease idissip OR increase day_step)' 
+          PRINT *,'tetagdiv) OR decrease dissip_period'
+          PRINT *,'OR increase day_step)' 
           stop
          end if